buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Antoine Toulme (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (BUILDR-623) build from POM results in InvalidURIError
Date Fri, 20 May 2016 06:47:12 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-623?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Antoine Toulme reassigned BUILDR-623:
-------------------------------------

    Assignee: Antoine Toulme

> build from POM results in InvalidURIError
> -----------------------------------------
>
>                 Key: BUILDR-623
>                 URL: https://issues.apache.org/jira/browse/BUILDR-623
>             Project: Buildr
>          Issue Type: Bug
>          Components: Dependency management
>    Affects Versions: 1.4.6
>         Environment: Gentoo x64
> $ ruby --version
> ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-linux]
> $ buildr --version
> /usr/local/lib64/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake/alt_system.rb:32: Use RbConfig
instead of obsolete and deprecated Config.
> /usr/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': iconv will
be deprecated in the future, use String#encode instead.
> Buildr 1.4.6
>            Reporter: Oleg Mikheev
>            Assignee: Antoine Toulme
>             Fix For: 1.5
>
>         Attachments: pom.xml
>
>
> I've got a POM with simple repository definition and dependency ref.
> Whenever I try to run Buildr against this POM Buildr tries to parse String that includes
square bracket and single quote into URI.
> I'm getting this:
> $ buildr -v compile
> /usr/local/lib64/ruby/gems/1.9.1/gems/rake-0.8.7/lib/rake/alt_system.rb:32: Use RbConfig
instead of obsolete and deprecated Config.
> /usr/lib64/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require': iconv will
be deprecated in the future, use String#encode instead.
> To use Buildr you need a buildfile. Do you want me to create one?:
> 1. From Maven2 POM file
> 2. From directory structure
> 3. Cancel
> ?  1
> Downloading org.jboss.aop:jboss-aop:pom:2.1.8.GA
> Buildr aborted!
> URI::InvalidURIError : bad URI(is not URI?): ["https://repository.jboss.org/nexus/content/groups/public-jboss/"]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message